Skip to main content
PUT
/
v1
/
sdk
/
products
/
{productRef}
Update a product
curl --request PUT \
  --url https://api.example.com/v1/sdk/products/{productRef} \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "deliveryMethod": "<string>",
    "fulfillmentType": "<string>",
    "validityPeriod": 123
  },
  "metadata": {},
  "description": "<string>",
  "imageUrl": "<string>",
  "name": "<string>",
  "productType": "<string>"
}
'
{
  "balance": 0,
  "createdAt": "<string>",
  "isMcpPay": false,
  "name": "AI Writing Assistant",
  "reference": "prd_1A2B3C4D",
  "status": "active",
  "totalTransactions": 0,
  "updatedAt": "<string>",
  "config": {
    "deliveryMethod": "api",
    "fulfillmentType": "digital",
    "validityPeriod": 30
  },
  "description": "<string>",
  "imageUrl": "<string>",
  "mcp": {
    "defaultPlanRef": "pln_FREE123",
    "mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
    "mcpServerRef": "mcp_ABC123",
    "mcpSubdomain": "acme-docs",
    "originUrl": "https://origin.example.com/mcp"
  },
  "metadata": {},
  "plans": [
    {
      "createdAt": "<string>",
      "currency": "USD",
      "isActive": true,
      "price": 2999,
      "reference": "pln_1A2B3C4D",
      "requiresPayment": true,
      "status": "active",
      "updatedAt": "<string>",
      "billingCycle": "monthly",
      "billingModel": "pre-paid",
      "creditsPerUnit": 1,
      "currencySymbol": "$",
      "features": {},
      "freeUnits": 1000,
      "limit": 10000,
      "limits": {},
      "measures": "requests",
      "meterRef": "mtr_1A2B3C4D",
      "rolloverUnusedUnits": false,
      "setupFee": 500,
      "trialDays": 14
    }
  ],
  "productType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

productRef
string
required

Product reference or ID

Example:

"prd_1A2B3C4D"

Body

application/json
config
object
required
metadata
object
required
description
string
imageUrl
string
name
string
productType
string
status
enum<string>
Available options:
active,
inactive,
suspended

Response

Product updated successfully

balance
number
required

Product balance in cents

Example:

0

createdAt
string
required

Creation timestamp

isMcpPay
boolean
required

Whether this product uses MCP Pay proxy

Example:

false

name
string
required

Product name

Example:

"AI Writing Assistant"

reference
string
required

Product reference

Example:

"prd_1A2B3C4D"

status
string
required

Product status

Example:

"active"

totalTransactions
number
required

Total number of transactions

Example:

0

updatedAt
string
required

Last update timestamp

config
object

Product-specific configuration

description
string

Product description

imageUrl
string

URL to the product image

mcp
object

MCP linkage details for MCP-enabled products

Example:
{
  "defaultPlanRef": "pln_FREE123",
  "mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
  "mcpServerRef": "mcp_ABC123",
  "mcpSubdomain": "acme-docs",
  "originUrl": "https://origin.example.com/mcp"
}
metadata
object

Arbitrary key-value metadata

plans
object[]

Plans associated with this product

productType
string

Free-form product type